<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{main-layout.html::main-fragment(~{::title},~{::#presentation-main-content})}">
<head>
<meta charset="UTF-8">
<title>Présentation</title>
</head>
<body>
    <div id="presentation-main-content">
        <div class="alert alert-primary col-md-3" th:if="${prenom}" th:text="'Bonjour,' + ${prenom} + ' ' +${nom}"></div>
        <div class="my-3"><a th:href="@{/presentation/path/john/doe}" >Présentation John Doe (/presentation/path/john/doe)</a></div>
        <div class="my-3"><a th:href="@{/presentation/param?prenom=jane&nom=doe}" >Présentation Jane Doe (/presentation/param?prenom=jane&nom=doe)</a></divclass="my-4">
        <div class="my-3">
        <form method="post" action="/presentation/param">
            <div class="mb-2 col-md-4">
            <label for="prenom" class="form-label">Prénom</label>
            <input type="text" class="form-control mb-2" name="prenom" id="prenom"/>
            </div>
            <div class="mb-2 col-md-4">
            <label for="nom" class="form-label">Nom</label>
            <input type="text" class="form-control mb-2" name="nom" id="nom"/>
            </div>
            <input type="submit" class="btn btn-primary my-2" value="Présentation"/>
        </form>
        </div>
    </div>
</body>
</html>